Bug 813550 - [REGRESSION] be2iscsi: fix softirq errors when logging in and doing IO
[REGRESSION] be2iscsi: fix softirq errors when logging in and doing IO
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Mike Christie
Bruno Goncalves
:
: 816190 (view as bug list)
Depends On:
Blocks: 738934
  Show dependency treegraph
 
Reported: 2012-04-17 16:32 EDT by Mike Christie
Modified: 2012-06-20 04:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.32-269.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 04:47:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Christie 2012-04-17 16:32:19 EDT
Description of problem:

In the upstream kernel the queuecommand callout is called with no locks held. In RHEL 6 libiscsi is still using the old style locking so the queuecomand function is called with the host lock held and irqs disabled.

So in RHEL 6 when beiscsi_alloc_pdu is called and and spin_unlock_bh is used it will cause errors.

There is not need to use the bh locking in beiscsi_alloc_pdu because libiscsi will always do the right thing.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 RHEL Product and Program Management 2012-04-17 16:49:52 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 2 Mike Christie 2012-04-30 17:51:32 EDT
*** Bug 816190 has been marked as a duplicate of this bug. ***
Comment 3 Jarod Wilson 2012-05-02 12:21:22 EDT
Patch(es) available on kernel-2.6.32-269.el6
Comment 6 Bruno Goncalves 2012-05-04 03:33:45 EDT
Ran IO Stress test for 24 hours against NetApp target and no error has been found.

uname -r
2.6.32-269.el6.x86_64

rpm -q iscsi-initiator-utils
iscsi-initiator-utils-6.2.0.872-41.el6.x86_64

modinfo be2iscsi
filename:       /lib/modules/2.6.32-269.el6.x86_64/kernel/drivers/scsi/be2iscsi/be2iscsi.ko
license:        GPL
author:         Emulex Corporation
version:        4.2.162.0
Comment 8 errata-xmlrpc 2012-06-20 04:47:32 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0862.html

Note You need to log in before you can comment on or make changes to this bug.